Subject: [pilc] tcppep

From: "Lakshmi Priya" <[email-masked]>
Date: Wed, 3 Mar 2004 10:01:12 +0530

hi,

RFC3135 for PEP states that "In a split connection we can encapsulate
the tcp packets over satlink. These tcp packets are decapsulated at
the other end of the satlink and transmitted to the end host."

Will it be necessary to encapsulate the entire packet along with the TCP and
IP headers to maintain end to end semantics?
In such a case wouldnt it be an overhead to manupulate the send buffers on
the satellite tcp as segments(since we retain the headers) rather than
bytes.
Any documents suggesting techniques for pep encapsulation?

thanks,
lp

***************************************************************************
This message is proprietary to Future Software Limited (FSL)
and is intended solely for the use of the individual to whom it
is addressed. It may contain  privileged or confidential information
and should not be circulated or used for any purpose other than for
what it is intended.

If you have received this message in error, please notify the
originator immediately. If you are not the intended recipient,
you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message.
FSL accepts no responsibility for loss or damage arising from
the use of the information transmitted by this email including
damage from virus.
***************************************************************************

_______________________________________________
pilc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pilc
http://www.ietf.org/html.charters/pilc-charter.html
http://pilc.grc.nasa.gov/